<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <!-- ABSENCE -->
  <div class="card" th:fragment="absence(item)">
    <div class="content">
      <div class="right floated">
        <div class="statistic">
          <div class="value">
            <i class="stopwatch icon" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
            <th:block th:text="${item.hours} + ' ' + #{${T(pt.com.scrumify.helpers.ConstantsHelper).COMMON_HOURS_ABBREVIATION}}"></th:block>
          </div>
        </div>
      </div>
      <a class="header" th:text="${#dates.format(item.day.date, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}"></a>
      <div class="meta">
        <a th:text="${item.type.name}"></a>
      </div>
      <div class="description" th:text="${item.justification}"></div>
    </div>
    <div class="extra content">
      <div class="left floated">
        <th:block th:replace="common/fragments/elements :: avatar(item = ${item.createdBy}, date = ${item.created}, size = 'mini')" />
      </div>
      <div class="right floated" th:unless="${item.timesheet.submitted}">
        <i class="edit icon pointer" th:onclick="'editAbsence(\'' + ${item.id} + '\');'" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
        <i class="trash icon pointer" th:onclick="'deleteAbsence(\'' + ${item.id} + '\');'" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
      </div>
    </div>
  </div>
  <!-- AVATAR -->
  <div class="ui relaxed list" data-inverted="" data-position="top left" th:data-html="${'<div class=''ui inverted card''><div class=''content''><img class=''right floated mini ui image'' src='''} + @{${item.avatar.image}} + ${'''><div class=''header''><a>' + item.name + '</a></div><div class=''meta''><a>' + item.profile.name + '</a></div><div class=''description''><span class=''ui large text''>'} + #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EMAIL}} + ${': '} + ${item.email} + ${'</span><br/><span class=''ui large text''>'} + #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PHONE}} + ${': '} + ${item.phone != null ? item.phone : '?'} + ${'</span><br/><span class=''ui large text''>'} + #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_MOBILE}} + ${': '} + ${item.mobile != null ? item.mobile : '?'} + ${'</span><br/><span class=''ui large text''>'} + #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EXTENSION}} + ${': '} + ${item.extension != null ? item.extension : '?'} + ${'</span></div></div></div>'}" data-variation="inverted mini" th:classappend="${size}"  th:fragment="avatar(item, date, size)">
    <div class="item">
      <img class="ui avatar image" alt="avatar" th:alt="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_AVATAR}}" th:src="@{${item.avatar.image}}"/>
      <div class="content">
        <a class="header" href="#" th:text="${item.username}"></a>
        <div class="description" th:text="${#dates.format(date, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATETIME)}"></div>
      </div>
    </div>
  </div>
  <!-- AVATAR - MINI -->
  <div class="ui relaxed list" data-inverted="" data-position="top center" th:data-html="${'<div class=''ui inverted card''><div class=''content''><img class=''right floated mini ui image'' src='''} + @{${item.avatar.image}} + ${'''><div class=''header''><a>' + item.name + '</a></div><div class=''meta''><a>' + item.profile.name + '</a></div><div class=''description''><span class=''ui large text''>'} + #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EMAIL}} + ${': '} + ${item.email} + ${'</span><br/><span class=''ui large text''>'} + #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PHONE}} + ${': '} + ${item.phone != null ? item.phone : '?'} + ${'</span><br/><span class=''ui large text''>'} + #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_MOBILE}} + ${': '} + ${item.mobile != null ? item.mobile : '?'} + ${'</span><br/><span class=''ui large text''>'} + #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EXTENSION}} + ${': '} + ${item.extension != null ? item.extension : '?'} + ${'</span></div></div></div>'}" data-variation="inverted mini" th:classappend="${size}" th:fragment="avatar-mini(item, size)">
    <div class="item">
      <img class="ui avatar image" alt="avatar" th:alt="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_AVATAR}}" th:src="@{${item.avatar.image}}"/>
    </div>
  </div>
  <!-- AVATAR - TEXT -->
  <div class="ui relaxed list" data-inverted="" data-position="top left" th:data-html="${'<div class=''ui inverted card''><div class=''content''><img class=''right floated mini ui image'' src='''} + @{${item.avatar.image}} + ${'''><div class=''header''><a>' + item.name + '</a></div><div class=''meta''><a>' + item.profile.name + '</a></div><div class=''description''><span class=''ui large text''>'} + #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EMAIL}} + ${': '} + ${item.email} + ${'</span><br/><span class=''ui large text''>'} + #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PHONE}} + ${': '} + ${item.phone != null ? item.phone : '?'} + ${'</span><br/><span class=''ui large text''>'} + #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_MOBILE}} + ${': '} + ${item.mobile != null ? item.mobile : '?'} + ${'</span><br/><span class=''ui large text''>'} + #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EXTENSION}} + ${': '} + ${item.extension != null ? item.extension : '?'} + ${'</span></div></div></div>'}" data-variation="inverted mini" th:classappend="${size}"  th:fragment="avatar-text(item, description, size)">
    <div class="item">
      <img class="ui avatar image" alt="avatar" th:alt="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_AVATAR}}" th:src="@{${item.avatar.image}}"/>
      <div class="content">
        <a class="header" href="#" th:text="${item.username}"></a>
        <div class="description" th:text="${description}"></div>
      </div>
    </div>
  </div>
  <!-- CONTRACT -->
  <div class="card" th:fragment="contract(item)">
    <th:block th:replace="common/fragments/elements :: attached-progress(${item.progress}, ${item.progressTotal}, 'top', false)" />
    <div class="content">
      <div class="right aligned right floated">
        <div class="statistic">
          <div class="value">
            <th:block th:switch="${item.status.id}">
              <i class="small yellow circle icon" th:case="${T(pt.com.scrumify.helpers.ConstantsHelper).CONTRACT_STATUS_PENDING}"></i>
              <i class="small green circle icon" th:case="${T(pt.com.scrumify.helpers.ConstantsHelper).CONTRACT_STATUS_OPENED}"></i>
              <i class="small orange circle icon" th:case="${T(pt.com.scrumify.helpers.ConstantsHelper).CONTRACT_STATUS_SUSPENDED}"></i>
              <i class="small grey circle icon" th:case="${T(pt.com.scrumify.helpers.ConstantsHelper).CONTRACT_STATUS_CLOSED}"></i>
            </th:block>
            <th:block th:text="${item.status.name}"></th:block>
          </div>
        </div>
        <a target="blank" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_CONTRACTS_WIDGET)" th:each="prop : ${item.properties}" th:if="${prop.pk.property.name == 'WMU' and prop.value != '-'}" th:href="${'https://mme.accenture.com/Mobile/Summary.aspx?WMU=' + prop.value + '&Client=1308&amp;Currency=true'}">
          <i class="globe icon"></i>
        </a>
      </div>
      <a class="header" th:each="prop : ${item.properties}" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_CONTRACTS_UPDATE)" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_CONTRACTS} + '/' + ${item.id} + ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_UPDATE}}" th:if="${prop.pk.property.name == 'Procedure Number (AT)'}" th:text="${prop.value}"></a>
      <span class="header" th:each="prop : ${item.properties}" sec:authorize="not hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_CONTRACTS_UPDATE)" th:if="${prop.pk.property.name == 'Procedure Number (AT)'}" th:text="${prop.value}"></span>
      <div class="meta">
        <a th:text="${item.subArea.abbreviation}"></a>
      </div>
      <div class="description" th:text="${item.name}"></div>
      <br/>
      <div class="left floated">
        <th:block th:each="prop : ${item.properties}" th:if="${prop.pk.property.name == 'Contract Number'}">
          <div class="ui mini statistic">
            <div class="pointer value" th:onclick="@{${'copytoclipboard(''' + prop.value + ''');'}}" th:text="${prop.value}"></div>
            <div class="label" th:text="${prop.pk.property.name}"></div>
          </div>          
        </th:block>
        <th:block th:each="prop : ${item.properties}" th:if="${prop.pk.property.name == 'WBS'}">
          <div class="ui mini statistic">
            <div class="pointer value" th:onclick="@{${'copytoclipboard(''' + prop.value + ''');'}}" th:text="${prop.value}"></div>
            <div class="label" th:text="${prop.pk.property.name}"></div>
          </div>          
        </th:block>
        <th:block th:each="prop : ${item.properties}" th:if="${prop.pk.property.name == 'Contract Number (AT)'}">
          <div class="ui mini statistic">
            <div class="pointer value" th:onclick="@{${'copytoclipboard(''' + prop.value + ''');'}}" th:text="${prop.value}"></div>
            <div class="label" th:text="${prop.pk.property.name}"></div>
          </div>          
        </th:block>
        <th:block th:each="prop : ${item.properties}" th:if="${prop.pk.property.name == 'Project Number (AT)'}">
          <div class="ui mini statistic">
            <div class="pointer value" th:onclick="@{${'copytoclipboard(''' + prop.value + ''');'}}" th:text="${prop.value}"></div>
            <div class="label" th:text="${prop.pk.property.name}"></div>
          </div>   
        </th:block>
      </div>
      <div class="right floated">
        <th:block sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_CONTRACTS_UPDATE)" th:each="prop : ${item.properties}" th:if="${prop.pk.property.name == 'Amendment/Extension'}">
          <div class="ui mini statistic" style="font-size: 0.8em">
            <div class="pointer value" th:onclick="@{${'copytoclipboard(''' + prop.value + ''');'}}" th:text="${prop.value}"></div>
            <div class="label" th:text="${prop.pk.property.name}"></div>
          </div>
        </th:block>
        <th:block th:each="prop : ${item.properties}" th:if="${prop.pk.property.name == 'Termination Letter'}">
          <div class="ui mini statistic" th:classappend="${prop.value == 'yes'} ? 'green' : (${#dates.createNow() > item.endingDay.date} ? 'red')">
            <div class="pointer value" th:onclick="@{${'copytoclipboard(''' + prop.value + ''');'}}" th:text="${prop.value}"></div>
            <div class="label" th:text="${prop.pk.property.name}"></div>
          </div>          
        </th:block>
      </div>
    </div>
    <div class="extra content">
      <div class="right floated">
        <a data-inverted="" data-variation="mini" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_CONTRACTS_UPDATE)" th:data-tooltip="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_BILLED_HOURS}}" th:onclick="@{${'copytoclipboard(''' + item.timeSpent + ''');'}}">
          <i class="credit card outline icon"></i>
          <th:block th:text="${#numbers.formatDecimal(item.billedHours, 0, 'POINT', 0, 'COMMA')}"></th:block>
        </a>
        &nbsp;
        <a data-inverted="" data-variation="mini" th:data-tooltip="#{${T(pt.com.scrumify.helpers.ConstantsHelper).COMMON_SPENT_HOURS}}" th:onclick="@{${'copytoclipboard(''' + item.timeSpent + ''');'}}">
          <i class="hourglass half icon"></i>
          <th:block th:text="${#numbers.formatDecimal(item.timeSpent, 0, 'POINT', 0, 'COMMA')}"></th:block>
        </a>
        &nbsp;
        <a data-inverted="" data-variation="mini" th:data-tooltip="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_HOURS}}" th:onclick="@{${'copytoclipboard(''' + item.hours + ''');'}}">
          <i class="hourglass end icon"></i>
          <th:block th:text="${#numbers.formatDecimal(item.hours, 0, 'POINT', 0, 'COMMA')}"></th:block>
        </a>
        &nbsp;
        <a data-inverted="" data-variation="mini" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_CONTRACTS_UPDATE)" th:data-tooltip="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PROPERTIES}}" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_CONTRACTS} + '/' + ${item.id} + ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_UPDATE} + '/properties'}">
          <i class="list alternate outline icon"></i>
          <th:block th:text="${#lists.size(item.properties)}"></th:block>
        </a>
      </div>
      <a data-inverted="" data-variation="mini" th:data-tooltip="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STARTINGDATE}}" th:onclick="@{${'copytoclipboard(''' + #dates.format(item.startingDay.date, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE) + ''');'}}">
        <i class="calendar check outline icon"></i>
        <th:block th:text="${#dates.format(item.startingDay.date, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}"></th:block>
      </a>
      &nbsp;
      <a data-inverted="" data-variation="mini" th:data-tooltip="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ENDINGDATE}}" th:onclick="@{${'copytoclipboard(''' + #dates.format(item.endingDay != null ? item.endingDay.date : '', T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE) + ''');'}}">
        <i class="calendar times outline icon"></i>
        <th:block th:text="${#dates.format(item.endingDay.date, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}"></th:block>
      </a>
    </div>
  </div>
  <!-- SELECTABLE LIST WITH SEARCH -->
  <div class="ui left pointing search dropdown" th:fragment="selectablelistwithsearch(options, optionfield, tagfield, js1, js2, js3, icon, color)">
    <input type="hidden" name="diacritics">
    <i th:class="${icon} ? ${icon} : 'write icon'" th:classappend="${color} ? ${color} : ''"></i>
    <div class="menu">
      <div class="ui icon search input">
        <i class="search icon"></i>
        <input type="text" th:placeholder="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SEARCH}} + ' ...'">
      </div>
      <div class="divider"></div>
      <div class="item" th:each="item : ${options}" th:attr="onclick=${js1} + ${__${js2}__} + ${js3}">
        <span th:text="${__${optionfield}__}"></span>
        <a class="ui mini horizontal label right floated" th:classappend="${color} ? ${color} : ''" th:if="${tagfield}">
          <th:block th:text="${__${tagfield}__}"></th:block>
        </a>
      </div>
    </div>
  </div>
  <!-- SELECTABLE RESOURCES LIST WITH SEARCH -->
  <div class="ui left pointing search dropdown" th:fragment="selectableresourceslistwithsearch(options, optionfield, tagfield, search, js1, js2, js3, icon, color)">
    <input type="hidden" name="diacritics">
    <i th:class="${icon} ? ${icon} : 'write icon'" th:classappend="${color} ? ${color} : ''"></i>
    <div class="menu">
      <div class="ui icon search input" th:if="${search}">
        <i class="search icon"></i>
        <input type="text" th:placeholder="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SEARCH}} + ' ...'">
      </div>
      <div class="divider" th:if="${search}"></div>
      <div class="item" th:each="item : ${options}" th:attr="onclick=${js1} + ${__${js2}__} + ${js3}">
        <img class="ui avatar image" alt="avatar" th:alt="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_AVATAR}}" th:if="${item.avatar != null}" th:src="@{${item.avatar.image}}"/>
        <span th:text="${__${optionfield}__}"></span>
        <a class="ui mini horizontal label right floated" th:classappend="${color} ? ${color} : ''" th:if="${tagfield}">
          <th:block th:text="${__${tagfield}__}"></th:block>
        </a>
      </div>
    </div>
  </div>
  <!-- EPIC -->
  <div class="card" th:fragment="epic(item)">
    <div class="content">
      <div class="right floated">
        <div class="statistic">
          <div class="value">
            <i class="small circle icon" th:classappend="${item.status.color}"></i>
            <th:block th:text="${item.status.name}"></th:block>
          </div>
        </div>
      </div>
      <a class="header" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_EPICS_UPDATE} + '/' + ${item.id}}" th:text="${item.number}"></a>
      <div class="meta">
        <a th:text="${item.team.name}"></a>
      </div>
      <div class="description" th:text="${item.name}"></div>
      <br />
      <div class="left floated">
        <th:block th:if="${item.createdBy != null}">
          <th:block th:replace="common/fragments/elements :: avatar(item = ${item.createdBy}, date = ${item.created}, size = 'mini')" />
        </th:block>
      </div>
    </div>
    <div class="extra content">
      <div class="right floated">
        <a data-inverted="" data-variation="mini" th:data-tooltip="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NOTES}}" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_EPICS_UPDATE} + '/' + ${item.id} + '/notes'}">
          <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_WORKITEMS_NOTETAB}"></i>
          <th:block th:text="${#lists.size(item.notes)}"></th:block>
        </a>
        &nbsp;
        <a data-inverted="" data-variation="mini" th:data-tooltip="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_USERSTORIES}}" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_EPICS_UPDATE} + '/' + ${item.id} + '/userstories'}">
          <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_USERSTORIES}"></i>
          <th:block th:text="${#lists.size(item.userStories)}"></th:block>
        </a>
      </div>
      <a data-inverted="" data-variation="mini" th:data-tooltip="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STORYPOINTS}}">
        <i class="crosshairs icon"></i>
        <th:block th:text="${item.storyPoints}"></th:block>
      </a>
      &nbsp;
      <a data-inverted="" data-variation="mini" th:data-tooltip="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_HOURS}}">
        <i class="stopwatch icon"></i>
        <th:block th:text="${item.hours} + ' ' + #{${T(pt.com.scrumify.helpers.ConstantsHelper).COMMON_HOURS_ABBREVIATION}}"></th:block>
      </a>
    </div>
  </div>
  <!-- EPIC HISTORY -->
  <div class="card" th:fragment="epichistory(item, index)">
    <div class="content">
      <div class="ui grid">
        <div class="sixteen wide column">
          <div class="ui tiny statistic" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
            <div class="value" th:text="${'#' + index}"></div>
          </div>
        </div>
        <div class="two wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).COMMON_NUMBER}}"></h4>
        </div>
        <div class="fourteen wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_WORKITEM_NAME}}"></h4>
        </div>
        <div class="two wide column no-bottom-padding" th:text="${item.number}"></div>
        <div class="fourteen wide column no-bottom-padding" th:text="${item.name}"></div>
        
        <div class="six wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TEAM}}"></h4>
        </div>
        <div class="three wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STATUS}}"></h4>
        </div>
        <div class="two wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_HOURS}}"></h4>
        </div>
        <div class="two wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STORYPOINTS}}"></h4>
        </div>
        <div class="three wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_LASTUPDATEDBY}}"></h4>
        </div>
        <div class="six wide column no-bottom-padding" th:text="${item.team} ? ${item.team.name} : '-'"></div>
        <div class="three wide column no-bottom-padding" th:text="${item.status.name}"></div>
        <div class="two wide column no-bottom-padding" th:text="${item.hours}"></div>
        <div class="two wide column no-bottom-padding" th:text="${item.storyPoints}"></div>
        <div class="three wide column">
          <th:block th:replace="common/fragments/elements :: avatar(item = ${item.lastUpdateBy}, date = ${item.lastUpdate}, size = 'small')" />
        </div>
        
        <div class="sixteen wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DESCRIPTION}}"></h4>
        </div>
        <div class="sixteen wide column" th:utext="${item.description}"></div>
      </div>
    </div>
    <br />
  </div>
  <!-- NOTES TIMELINE -->
  <div class="ui threaded comments" th:fragment="notestimeline(notes)">
    <div class="comment" th:each="item, stat : ${notes}">
      <a class="avatar">
        <img alt="avatar" th:alt="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_AVATAR}}" th:src="@{${item.createdBy.avatar.image}}">
      </a>
      <div class="content">
        <a class="author" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).VIEW_ATTRIBUTE_TYPESOFWORKITEMNOTE + '.' + item.typeOfNote.id}}"></a>
        <div class="metadata"></div>
        <div class="text" th:utext="${item.content}"></div>
        <div class="actions">
          <a>
            <i class="user icon" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
            <th:block th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:text="${item.createdBy.name}"></th:block>
          </a>
          <a>
            <i class="calendar alternate outline icon" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
            <th:block th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:text="${#dates.format(item.created, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATETIME)}"></th:block>
          </a>
        </div>
      </div>
      <div class="comments" th:if="${stat.size > stat.count}">
        <div class="comment"></div>
      </div>
    </div>
  </div>
  <!-- PROGRESS ATTACHED -->
  <div class="ui attached multiple progress" th:classappend="${position}" th:fragment="attached-progress(data, total, position, text)" th:data-value="${data}" th:data-total="${total}">
    <div class="green bar">
      <div class="progress" th:if="${#bools.isTrue(text)}"></div>
    </div>
    <div class="yellow bar">
      <div class="progress" th:if="${#bools.isTrue(text)}"></div>
    </div>
    <div class="orange bar">
      <div class="progress" th:if="${#bools.isTrue(text)}"></div>
    </div>
    <div class="red bar">
      <div class="progress" th:if="${#bools.isTrue(text)}"></div>
    </div>
  </div>
  <!-- PROGRESS MULTIPLE-->
  <div class="ui multiple progress" th:classappend="${size}" th:fragment="multiple-progress(data, total, size, text)" th:data-value="${data}" th:data-total="${total}">
    <div class="green bar">
      <div class="progress" th:if="${#bools.isTrue(text)}"></div>
    </div>
    <div class="yellow bar">
      <div class="progress" th:if="${#bools.isTrue(text)}"></div>
    </div>
    <div class="orange bar">
      <div class="progress" th:if="${#bools.isTrue(text)}"></div>
    </div>
    <div class="red bar">
      <div class="progress" th:if="${#bools.isTrue(text)}"></div>
    </div>
  </div>
  <!-- TITLE -->
  <h2 class="ui header no-top-margin" th:fragment="title(text, icon, url)">
    <i th:class="${icon}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:if="${icon != null}"></i>
    <a class="content" th:if="${url != null}" th:href="${url}" th:text="${text}"></a>
    <span class="content" th:if="${url == null}" th:text="${text}"></span>
  </h2>
  <!-- USER STORY -->
  <div class="card" th:fragment="userstory(item)">
    <div class="content">
      <div class="right floated">
        <div class="statistic">
          <div class="value">
            <i class="small circle icon" th:classappend="${item.status.color}"></i>
            <th:block th:text="${item.status.name}"></th:block>
          </div>
        </div>
      </div>
      <a class="header" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_USERSTORIES_UPDATE} + '/' + ${item.id}}" th:text="${item.number}"></a>
      <div class="meta">
        <a th:text="${item.team.name}"></a>
      </div>
      <div class="description" th:text="${item.name}"></div>
      <br />
      <div class="left floated">
        <th:block th:if="${item.createdBy != null}">
          <th:block th:replace="common/fragments/elements :: avatar(item = ${item.createdBy}, date = ${item.created}, size = 'mini')" />
        </th:block>
      </div>
    </div>
    <div class="extra content">
      <div class="right floated">
        <a data-inverted="" data-variation="mini" th:data-tooltip="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NOTES}}" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_USERSTORIES_UPDATE} + '/' + ${item.id} + '/notes'}">
          <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_WORKITEMS_NOTETAB}"></i>
          <th:block th:text="${#lists.size(item.notes)}"></th:block>
        </a>
        &nbsp;
        <a data-inverted="" data-variation="mini" th:data-tooltip="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_WORKITEMS}}" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_USERSTORIES_UPDATE} + '/' + ${item.id} + '/workitems'}">
          <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_USERSTORIES}"></i>
          <th:block th:text="${#lists.size(item.workItems)}"></th:block>
        </a>
      </div>
      <a data-inverted="" data-variation="mini" th:data-tooltip="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ESTIMATE}}">
        <i class="crosshairs icon"></i>
        <th:block th:text="${item.estimate}"></th:block>
      </a>
      &nbsp;
      <a data-inverted="" data-variation="mini" th:data-tooltip="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_HOURS}}">
        <i class="stopwatch icon"></i>
        <th:block th:text="${item.hours} + ' ' + #{${T(pt.com.scrumify.helpers.ConstantsHelper).COMMON_HOURS_ABBREVIATION}}"></th:block>
      </a>
    </div>
  </div>
  <!-- USER STORY HISTORY -->
  <div class="card" th:fragment="userstoryhistory(item, index)">
    <div class="content">
      <div class="ui grid">
        <div class="sixteen wide column">
          <div class="ui tiny statistic" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
            <div class="value" th:text="${'#' + index}"></div>
          </div>
        </div>
        
        <div class="two wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).COMMON_NUMBER}}"></h4>
        </div>
        <div class="fourteen wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_WORKITEM_NAME}}"></h4>
        </div>
        <div class="two wide column no-bottom-padding" th:text="${item.number}"></div>
        <div class="fourteen wide column no-bottom-padding" th:text="${item.name}"></div>
        
        <div class="three wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STATUS}}"></h4>
        </div>
        <div class="three wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EPIC}}"></h4>
        </div>
        <div class="three wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TEAM}}"></h4>
        </div>
        <div class="two wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_HOURS}}"></h4>
        </div>
        <div class="two wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STORYPOINTS}}"></h4>
        </div>
        <div class="three wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_LASTUPDATEDBY}}"></h4>
        </div>        
        <div class="three wide column no-bottom-padding" th:text="${item.status.name}"></div>
        <div class="three wide column no-bottom-padding" th:text="${item.epic} ? ${item.epic.number} : '-'"></div>
        <div class="three wide column no-bottom-padding" th:text="${item.team} ? ${item.team.name} : '-'"></div>
        <div class="two wide column no-bottom-padding" th:text="${item.hours}"></div>
        <div class="two wide column no-bottom-padding" th:text="${item.estimate}"></div>
        <div class="three wide column">
          <th:block th:replace="common/fragments/elements :: avatar(item= ${item.lastUpdateBy}, date = ${item.lastUpdate}, size = 'small')" />
        </div>      
        
        <div class="sixteen wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DESCRIPTION}}"></h4>
        </div>        
        <div class="sixteen wide column" th:utext="${item.description}"></div>
      </div>
    </div>
    <br/>
  </div>
  <!-- VACATION -->
  <div class="card" th:fragment="vacation(item)">  
    <div class="content">
      <a class="header" th:text="${#dates.format(item.day.date, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}"></a>
      <div class="meta">      
        <a th:if="${item.approvedBy == null} and ${item.declinedBy == null}" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PENDING}}"></a>
      </div>
    </div>
    <div class="extra content">
      <div class="left floated">
        <th:block th:replace="common/fragments/elements :: avatar(item = ${item.createdBy}, date = ${item.created}, size = 'mini')" />
      </div>
      <div class="right floated" th:unless="${item.timesheet?.submitted}">
        <a><i class="trash icon" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:onclick="'deleteVacation(\'' + ${item.id} + '\');'"></i></a>
      </div>
    </div>
  </div>
  <!-- WORKITEM -->
  <div class="card" th:fragment="workitem(item)">
    <th:block th:replace="common/fragments/elements :: attached-progress(${item.progress}, ${item.progressTotal}, 'top', false)" />
    <div class="content">
      <div class="right aligned right floated">
        <div class="statistic">
          <div class="value">
            <i class="small circle icon" th:classappend="${item.status.color}"></i>
            <th:block th:text="${item.status.name}"></th:block>
          </div>
        </div>
        <a data-inverted="" data-variation="mini" th:data-tooltip="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_RELEASE}}" th:if="${item.release != null}">
          <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_RELEASES}"></i>
          <th:block th:text="${item.release}"></th:block>
        </a>
      </div>
      <a class="header" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_WORKITEMS_UPDATE} + '/' + ${item.id}}" th:text="${item.number}"></a>
      <div class="meta">
        <a th:text="${item.team.name}"></a>
      </div>
      <div class="description" th:text="${item.name}"></div>
      <br />
      <div class="left floated">
        <th:block th:if="${item.createdBy != null}">
          <th:block th:replace="common/fragments/elements :: avatar(item = ${item.createdBy}, date = ${item.created}, size = 'mini')" />
        </th:block>
      </div>
      <div class="right floated">
        <th:block th:if="${item.assignedTo != null}">
          <th:block th:replace="common/fragments/elements :: avatar(item = ${item.assignedTo}, date = ${item.assigned}, size = 'mini')" />
        </th:block>
      </div>
    </div>
    <div class="extra content">
      <div class="right floated">
        <a data-inverted="" data-variation="mini" th:data-tooltip="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NOTES}}" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_WORKITEMS_UPDATE} + '/' + ${item.id} + '/notes'}">
          <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_WORKITEMS_NOTETAB}"></i>
          <th:block th:text="${#lists.size(item.notes)}"></th:block>
        </a>
      </div>
      <a data-inverted="" data-variation="mini" th:data-tooltip="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ESTIMATE}}">
        <i class="crosshairs icon"></i>
        <th:block th:text="${item.estimate} + ' ' + #{${T(pt.com.scrumify.helpers.ConstantsHelper).COMMON_HOURS_ABBREVIATION}}"></th:block>
      </a>
      &nbsp;
      <a data-inverted="" data-variation="mini" th:data-tooltip="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TIMESPENT}}">
        <i class="stopwatch icon"></i>
        <th:block th:text="${item.hours} + ' ' + #{${T(pt.com.scrumify.helpers.ConstantsHelper).COMMON_HOURS_ABBREVIATION}}"></th:block>
      </a>
      &nbsp;
      <a data-inverted="" data-variation="mini" th:data-tooltip="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ETC}}">
        <i class="route icon"></i>
        <th:block th:text="${item.etc} + ' ' + #{${T(pt.com.scrumify.helpers.ConstantsHelper).COMMON_HOURS_ABBREVIATION}}"></th:block>
      </a>
    </div>
  </div>
  <!-- WORKITEM HISTORY -->
  <div class="card" th:fragment="workitemhistory(item, index)">
    <div class="content">
      <div class="ui grid">
        <div class="sixteen wide column">
          <div class="ui tiny statistic" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
            <div class="value" th:text="${'#' + index}"></div>
          </div>
        </div>
        <div class="two wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).COMMON_NUMBER}}"></h4>
        </div>
        <div class="nine wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_WORKITEM_NAME}}"></h4>
        </div>
        <div class="two wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PRIORITY}}"></h4>
        </div>
        <div class="three wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STATUS}}"></h4>
        </div>
        <div class="two wide column no-bottom-padding" th:text="${item.number}"></div>
        <div class="nine wide column no-bottom-padding" th:text="${item.name}"></div>
        <div class="two wide column no-bottom-padding" th:text="${item.priority} ? ${item.priority.number + ' - ' + item.priority.name} : '-'"></div>
        <div class="three wide column no-bottom-padding" th:text="${item.status.name}"></div>
        <div class="six wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_CONTRACT}}"></h4>
        </div>
        <div class="six wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_APPLICATION}}"></h4>
        </div>
        <div class="one wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_RELEASE}}"></h4>
        </div>      
        <div class="three wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TEAM}}"></h4>
        </div>
        <div class="six wide column no-bottom-padding" th:text="${item.contract} ? ${item.contract.name} : '-'"></div>
        <div class="six wide column" th:text="${item.application} ? ${item.application.fqdn} : '-'"></div>
        <div class="one wide column" th:text="${item.release} ? ${item.release} : '-'"></div>
        <div class="three wide column no-bottom-padding" th:text="${item.team} ? ${item.team.name} : '-'"></div>
        <div class="ten wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_USERSTORY}}"></h4>
        </div>  
        <div class="two wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ESTIMATE}}"></h4>
        </div>
        <div class="two wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_HOURS}}"></h4>
        </div>
        <div class="two wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ETC}}"></h4>
        </div>
        <div class="ten wide column no-bottom-padding" th:text="${item.userStory} ? ${item.userStory.number + ' - ' + item.userStory.name} : '-'"></div>
        <div class="two wide column" th:text="${item.estimate}"></div>
        <div class="two wide column" th:text="${item.hours}"></div>
        <div class="two wide column" th:text="${item.etc}"></div>
        <div class="four wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_CREATEDBY}}"></h4>
        </div>
        <div class="four wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ASSIGNEDTO}}"></h4>
        </div>
        <div class="four wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_LASTUPDATEDBY}}"></h4>
        </div>
        <div class="four wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_CLOSEDBY}}"></h4>
        </div>
        <div class="four wide column">
          <th:block th:replace="common/fragments/elements :: avatar(item= ${item.createdBy}, date = ${item.created}, size = 'mini')" />
        </div>
        <div class="four wide column">
          <th:block th:if="${item.assignedTo != null}">
            <th:block th:replace="common/fragments/elements :: avatar(item= ${item.assignedTo}, date = ${item.assigned}, size = 'mini')" />
          </th:block>
          <th:block th:if="${item.assignedTo == null}" th:text="${'-'}" />
        </div>
        <div class="four wide column">
          <th:block th:replace="common/fragments/elements :: avatar(item = ${item.lastUpdateBy}, date = ${item.lastUpdate}, size = 'mini')" />
        </div>
        <div class="four wide column">
          <th:block th:if="${item.closed != null}">
            <th:block th:replace="common/fragments/elements :: avatar(item= ${item.closedBy}, date = ${item.closed}, size = 'mini')" />
          </th:block>
          <th:block th:if="${item.closedBy == null}" th:text="${'-'}">
          </th:block>
        </div>
        <div class="sixteen wide column no-bottom-padding">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DESCRIPTION}}"></h4>
        </div>
        <div class="sixteen wide column" th:utext="${item.description != ''} ? ${item.description} : '-'"></div>
      </div>
    </div>
  </div>
  <!-- WORKITEMS LIST : HOMEPAGE -->
  <table class="ui very basic compact table" th:fragment="workitems-list(workitems)">
    <thead>
      <tr>
        <th scope="col" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NUMBER}}"></th>
        <th scope="col" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NAME}}"></th>
        <th scope="col" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PROGRESS}}"></th>
        <th class="center aligned" scope="col" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_CREATEDBY}}"></th>
        <th class="center aligned" scope="col" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ASSIGNEDTO}}"></th>
        <th class="center aligned" scope="col" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STATUS}}"></th>
      </tr>
    </thead>
    <tbody>
      <tr th:each="workitem : ${workitems}">
        <td class="one wide column"><a th:text="${workitem.number}" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_WORKITEMS_UPDATE} + '/' + ${workitem.id}}"></a></td>
        <td class="seven wide column" th:text="${#strings.length(workitem.name) > 70 ? #strings.substring(workitem.name, 0, 70) + ' ...' : workitem.name}"></td>
        <td class="three wide  column">
          <th:block th:replace="common/fragments/elements :: multiple-progress(${workitem.multipleProgress}, ${workitem.progressTotal}, 'tiny', false)" />
        </td>
        <td class="two wide column">
          <th:block th:replace="common/fragments/elements :: avatar(item=${workitem.createdBy}, date=${workitem.created}, size='mini')" />
        </td>
        <td class="two wide column">
          <th:block th:if="${workitem.assignedTo != null}">
            <th:block th:replace="common/fragments/elements :: avatar(item=${workitem.assignedTo}, date=${workitem.assigned}, size='mini')" />
          </th:block>
        </td>
        <td class="one wide center aligned column">
          <div class="statistic" data-inverted="" data-variation="mini" th:data-tooltip="${workitem.status.name}">
            <div class="value">
              <i class="small circle icon" th:classappend="${workitem.status.color}"></i>
            </div>
          </div>
        </td>
      </tr>
    </tbody>
  </table>
  <!-- WORKITEM MAIL -->
  <div th:fragment="workitem4mail(workitem, notes, history)">
    <table class="ui">
      <tr>
        <td class="font28 blue field sixteen column" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:text="'#' + ${history}"></td>
      </tr>
    </table>
    <table class="ui">
      <tr>
        <th class="field-header two column" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).COMMON_NUMBER}}"></th>
        <th class="field-header seven column" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_WORKITEM_NAME}}"></th>
        <th class="field-header three column" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STATUS}}"></th>
        <th class="field-header four column" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TEAM}}"></th>
      </tr>
      <tr>
        <td class="field" th:text="${workitem.number}"></td>
        <td class="field" th:text="${workitem.name}"></td>
        <td class="field" th:text="${workitem.status.name}"></td>
        <td class="field" th:text="${workitem.team} ? ${workitem.team.name} : '-'"></td>
      </tr>
    </table>
    <table class="ui">
      <tr>
        <th class="field-header ten column" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_CONTRACT}}"></th>
        <th class="field-header six column" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_USERSTORY}}"></th>
      </tr>
      <tr>
        <td class="field" th:text="${workitem.contract} ? ${workitem.contract.name} : '-'"></td>
        <td class="field" th:text="${workitem.userStory} ? ${workitem.userStory.number} : '-'"></td>
      </tr>
    </table>
    <table class="ui">
      <tr>
        <th class="field-header six column" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_APPLICATION}}"></th>
        <th class="field-header two column" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_RELEASE}}"></th>
        <th class="field-header two column" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ESTIMATE}}"></th>
        <th class="field-header two column" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_HOURS}}"></th>
        <th class="field-header four column" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ETC}}"></th>
      </tr>
      <tr>
        <td class="field" th:text="${workitem.application} ? ${workitem.application.name} : '-'"></td>
        <td class="field" th:text="${workitem.release} ? ${workitem.release} : '-'"></td>
        <td class="field" th:text="${workitem.estimate}"></td>
        <td class="field" th:text="${workitem.hours}"></td>
        <td class="field" th:text="${workitem.etc}"></td>
      </tr>
    </table>
    <table class="ui">
      <tr>
        <th class="field-header sixteen column" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DESCRIPTION}}"></th>
      </tr>
      <tr>
        <td class="field" th:utext="${workitem.description}"></td>
      </tr>
    </table>    
    <table class="ui">
      <tr>
        <th class="field-header four column" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_CREATEDBY}}"></th>
        <th class="field-header four column" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ASSIGNEDTO}}"></th>
        <th class="field-header four column" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_LASTUPDATEDBY}}"></th>
        <th class="field-header four column" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_CLOSEDBY}}"></th>
      </tr>
      <tr>
        <td class="field">
          <span class="font10 grey" th:text="${workitem.createdBy.name}"></span><br/>
          <span class="font8 grey" th:text="${#dates.format(workitem.created, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATETIME)}"></span>
        </td>
        <td class="field">
          <span class="font10 grey" th:if="${workitem.assigned != null}" th:text="${workitem.assignedTo.name}"></span><br/>
          <span class="font8 grey" th:if="${workitem.assigned != null}" th:text="${#dates.format(workitem.assigned, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATETIME)}"></span>
        </td>
        <td class="field">
          <span class="font10 grey" th:text="${workitem.lastUpdateBy.name}"></span><br/>
          <span class="font8 grey" th:text="${#dates.format(workitem.lastUpdate, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATETIME)}"></span>
        </td>
        <td class="field">
          <span class="font10 grey" th:if="${workitem.closed != null}" th:text="${workitem.closedBy.name}"></span><br/>
          <span class="font8 grey" th:if="${workitem.closed != null}" th:text="${#dates.format(workitem.closed, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATETIME)}"></span>
        </td>
      </tr>
    </table>
    <br/>
    <table class="ui" th:if="${not #lists.isEmpty(notes)}">
      <tr>
        <td class="font28 blue field sixteen column" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NOTES}}"></td>
      </tr>
      <tr th:each="item : ${notes}">
        <td class="field">
          <table>
            <tr>
              <th class="field-header sixteen column" th:text="${item.typeOfNote.name}"></th>
            </tr>
            <tr>
              <td class="field sixteen column" th:utext="${item.content}"></td>
            </tr>
            <tr>
              <td class="field sixteen column">
                <span class="font10" th:text="${item.createdBy.name}"></span><br/>
                <span class="font8 grey" th:text="${#dates.format(item.created, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATETIME)}"></span>
              </td>
            </tr>
          </table>
        </td>
      </tr>
    </table>
  </div>
</body>
</html>